# Simulations

Ce dépôt contient l'ensemble du code pour les simulations basées sur simIRT. Afin d'économiser de la place sur le serveur, les données générées ne sont pas inclues dans le dépôt mais sont disponibles sur https://osf.io.

## Arborescence

```
📦 simul_these
├─ catalogue.md           - List and description of scenarios
├─ 🗂️ Analysis               - ANALYSIS RESULTS
├─ 🗂️ Data                   - GENERATED DATASETS
│  ├─ 🗂️ DIF                 - DATASETS WITH DIF
│  └─ 🗂️ noDIF               - DATASETS WITHOUT DIF
├─ 🗂️ Modules                - R AND STATA MODULES
│  ├─ 🗂️ rosali_custom       - DATASETS WITH DIF
│  ├─ simirt.do
│  └─ simirt.R
├─ 🗂️ Plans                  - SIMULATION PLANS
├─ 🗂️ RProject               - R SCRIPTS FOR COMPILING RESULTS
└─ 🗂️ Scripts                - R AND STATA SCRIPTS
   ├─ 🗂️ Analysis            - PCM ANALYSIS SCRIPTS
   ├─ 🗂️ R
   └─ 🗂️ Scenarios           - SIMULATION SCENARIO SCRIPTS
      ├─ 🗂️ DIF
      └─ 🗂️ noDIF

```

## Conventions de nomenclature

### Jeux de données initiaux

**XX_N** - Scénarios de référence sans confusion / N réplications  
**1XX_N** - Scénarios avec confusion induite par 1 covariable / N réplications  
**2XX_N** - Scénarios avec confusion induite par 2 covariables / N réplications  
**3XX_N** - Scénarios avec confusion induite par 1 covariable induisant du DIF / N réplications

### Jeux de données analysés

**noDIF/XX_N.csv** - Analyse du scénario XX_N par PCM __sans__ prise en compte du DIF  
**DIF/XX_N.xls** - Analyse du scénario XX_N par PCM __avec__ prise en compte du DIF
**ROSALI-DIF/XX_N_original.xls** - Analyse du scénario XX_N par PCM __avec__ prise en compte du DIF détecté par ROSALI-DIF
**RESALI/XX_N_original.xls** - Analyse du scénario XX_N par PCM __avec__ prise en compte du DIF détecté par la méthode des résidus de Andrich & Hagquist
